Subject: Re: [patch] bug prematurely setting nr_frags

From: Benjamin LaHaise <[email-masked]>
Date: Tue, 13 Aug 2002 14:31:20 -0400

On Tue, Aug 13, 2002 at 08:06:13AM +0400, [email-masked] wrote:
> Hello!
> 
> > Huh?  It's called from sock_alloc_send_skb, which is called from all 
> > over the stack.
> 
> It is used with data_len==0. The branch generating fragments is dead.

Ah, I see.  Care for a patch to remove it altogether then?  As for the 
bug, does anyone else see a place where nr_frags can be set without 
initializing a page pointer?  Otherwise it looks like a random memory 
corruption... what fun.

		-ben
-- 
"You will be reincarnated as a toad; and you will be much happier."